Z8530_QUEUE_XMIT(9)

NAME
z8530_queue_xmit - Queue a packet

SYNOPSIS

netdev_tx_t z8530_queue_xmit(struct z8530_channel * c, struct sk_buff * skb);

ARGUMENTS

c
    The channel to use

skb
    The packet to kick down the channel

DESCRIPTION

Queue a packet for transmission. Because we have rather hard to hit interrupt latencies for the Z85230 per packet even in DMA mode we do the flip to DMA buffer if needed here not in the IRQ.

Called from the network code. The lock is not held at this point.

AUTHOR

Alan Cox <alan@lxorguk.ukuu.org.uk>
    Author.

COPYRIGHT